<form [formGroup]="form">
    <mat-form-field class="example-full-width">
        <input matInput placeholder="Name" formControlName="name" required>
    </mat-form-field>
    <mat-form-field class="example-full-width">
        <input matInput placeholder="Terms of Conditions"  formControlName="termsOfConditions" required>
    </mat-form-field>
    <mat-form-field class="example-full-width">
        <input matInput placeholder="Duration in Months" formControlName="duration" required>
    </mat-form-field>
    <mat-form-field class="example-full-width">
        <input matInput placeholder="Pre-Requisites" formControlName="prerequisites" required>
    </mat-form-field>
</form>